
Redmine - Defect #2388

422 response from mail_handler

2008-12-23 05:19 - youngseok yi

Status: Closed Start date: 2008-12-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

To receive email, I'm using simple perl script to pull the mail from POP3 and redirect to rdm-mailhandler.rb.

If issue submission not successful, the script save mail to temp folder and reply to the sender about failure of issue submission.

During 2 weeks running, almost 70% of mail getting 422 response from mail_handler.

Posting to http://redmine.hostname/mail_handler...

Response received: 422

 6% of them was 500 reponse, last of them was successful.

I attached one of them (causing 422 response) mail-20081223.eml. (mail address and some hostname blocked)

p.s. The issue submission fail notification useful because sender couldn't get any report!

History

#1 - 2008-12-24 14:11 - Jean-Philippe Lang

I see no defect here since I can receive the attached email using someting like:

ruby extra\mail_handler\rdm-mailhandler.rb --url http://localhost:3000

 --key secret --project redmine -v < mail-20081223.eml

 The issue is properly created.

The 422 response that you get means the ticket could not be created. There may be several reasons for that:

the user is unknown (no redmine user with the same email address as the email sender)

the project is not specified (you may specify a default project using the --project option)

you have created some required custom fields for the target project/tracker

You may find some usefull information in your log file.

#2 - 2008-12-26 05:11 - youngseok yi

- Status changed from New to Resolved

Thanks JP. The issue is not from redmine at all!

I had tried to use IPC::Run3 (perl module) to manipulate piping raw mail (scalar buffer in my script) to rdm-mailhandler.rb.

It seems better to save mail as temp file and do as explained above (< mail-20081223.eml). I don't know why but it works fine.

#3 - 2008-12-27 17:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.

#4 - 2009-11-28 13:20 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
Files

mail-20081223.eml 32.1 KB 2008-12-23 youngseok yi
